Debian Bug report logs - #666350
mpg321: FTBFS: make[1]: *** No targets specified and no makefile found. Stop.

version graph

Package: src:mpg321; Maintainer for src:mpg321 is Nanakos Chrysostomos <nanakos@wired-net.gr>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Fri, 30 Mar 2012 09:43:47 UTC

Severity: serious

Tags: sid, wheezy

Found in version mpg321/0.3.1-1

Fixed in version mpg321/0.3.2-1

Done: Nanakos Chrysostomos <nanakos@wired-net.gr>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Nanakos Chrysostomos <nanakos@wired-net.gr>:
Bug#666350; Package src:mpg321. (Fri, 30 Mar 2012 09:43:50 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Nanakos Chrysostomos <nanakos@wired-net.gr>. (Fri, 30 Mar 2012 09:43:57 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: mpg321: FTBFS: make[1]: *** No targets specified and no makefile found. Stop.
Date: Fri, 30 Mar 2012 11:29:01 +0200
Source: mpg321
Version: 0.3.1-1
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20120330 qa-ftbfs qa-ftbfs-buildarch
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

This rebuild was done by building only architecture:any binary packages
(binary-arch target of debian/rules), and using a recent dpkg that uses the
build-arch target if available.
Also, only the Build-Depends were installed, not the Build-Depends-Indep.

Relevant part:
>  debian/rules build-arch
> dh_testdir
> # Add here commands to compile the package.
> /usr/bin/make
> make[1]: Entering directory `/«PKGBUILDDIR»'
> make[1]: *** No targets specified and no makefile found.  Stop.
> make[1]: Leaving directory `/«PKGBUILDDIR»'
> make: *** [build-stamp] Error 2

The full build log is available from:
   http://people.debian.org/~lucas/logs/2012/03/30/mpg321_0.3.1-1_unstable.log

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#666350; Package src:mpg321. (Sat, 21 Apr 2012 10:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nanakos Chrysostomos <nanakos@wired-net.gr>:
Extra info received and forwarded to list. (Sat, 21 Apr 2012 10:36:05 GMT) Full text and rfc822 format available.

Message #10 received at 666350@bugs.debian.org (full text, mbox):

From: Nanakos Chrysostomos <nanakos@wired-net.gr>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 666350@bugs.debian.org
Subject: Re: Bug#666350: mpg321: FTBFS: make[1]: *** No targets specified and no makefile found. Stop.
Date: Sat, 21 Apr 2012 13:21:17 +0300
Dear Lucas,
bug fixed and package re-uploaded [0]. I would be gratefull if you 
could sponsor the package.

Regards,
Chris.	


On Fri, Mar 30, 2012 at 11:29:01AM +0200, Lucas Nussbaum wrote:
> Source: mpg321
> Version: 0.3.1-1
> Severity: serious
> Tags: wheezy sid
> User: debian-qa@lists.debian.org
> Usertags: qa-ftbfs-20120330 qa-ftbfs qa-ftbfs-buildarch
> Justification: FTBFS on amd64
> 
> Hi,
> 
> During a rebuild of all packages in sid, your package failed to build on
> amd64.
> 
> This rebuild was done by building only architecture:any binary packages
> (binary-arch target of debian/rules), and using a recent dpkg that uses the
> build-arch target if available.
> Also, only the Build-Depends were installed, not the Build-Depends-Indep.
> 
> Relevant part:
> >  debian/rules build-arch
> > dh_testdir
> > # Add here commands to compile the package.
> > /usr/bin/make
> > make[1]: Entering directory `/«PKGBUILDDIR»'
> > make[1]: *** No targets specified and no makefile found.  Stop.
> > make[1]: Leaving directory `/«PKGBUILDDIR»'
> > make: *** [build-stamp] Error 2
> 
> The full build log is available from:
>    http://people.debian.org/~lucas/logs/2012/03/30/mpg321_0.3.1-1_unstable.log
> 
> A list of current common problems and possible solutions is available at 
> http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!
> 
> About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
> of the Grid'5000 platform, using a clean chroot.  Internet was not
> accessible from the build systems.
> 




Information forwarded to debian-bugs-dist@lists.debian.org, Nanakos Chrysostomos <nanakos@wired-net.gr>:
Bug#666350; Package src:mpg321. (Sun, 22 Apr 2012 20:45:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Nanakos Chrysostomos <nanakos@wired-net.gr>. (Sun, 22 Apr 2012 20:45:12 GMT) Full text and rfc822 format available.

Message #15 received at 666350@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Nanakos Chrysostomos <nanakos@wired-net.gr>
Cc: 666350@bugs.debian.org
Subject: Re: Bug#666350: mpg321: FTBFS: make[1]: *** No targets specified and no makefile found. Stop.
Date: Sun, 22 Apr 2012 22:41:04 +0200
On 21/04/12 at 13:21 +0300, Nanakos Chrysostomos wrote:
> Dear Lucas,
> bug fixed and package re-uploaded [0]. I would be gratefull if you 
> could sponsor the package.

Sorry, I don't have time for that. Please ask -mentors@.

Lucas




Reply sent to Nanakos Chrysostomos <nanakos@wired-net.gr>:
You have taken responsibility. (Sun, 29 Apr 2012 05:21:09 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sun, 29 Apr 2012 05:21:09 GMT) Full text and rfc822 format available.

Message #20 received at 666350-close@bugs.debian.org (full text, mbox):

From: Nanakos Chrysostomos <nanakos@wired-net.gr>
To: 666350-close@bugs.debian.org
Subject: Bug#666350: fixed in mpg321 0.3.2-1
Date: Sun, 29 Apr 2012 05:17:31 +0000
Source: mpg321
Source-Version: 0.3.2-1

We believe that the bug you reported is fixed in the latest version of
mpg321, which is due to be installed in the Debian FTP archive:

mpg321_0.3.2-1.debian.tar.gz
  to main/m/mpg321/mpg321_0.3.2-1.debian.tar.gz
mpg321_0.3.2-1.dsc
  to main/m/mpg321/mpg321_0.3.2-1.dsc
mpg321_0.3.2-1_i386.deb
  to main/m/mpg321/mpg321_0.3.2-1_i386.deb
mpg321_0.3.2.orig.tar.gz
  to main/m/mpg321/mpg321_0.3.2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 666350@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nanakos Chrysostomos <nanakos@wired-net.gr> (supplier of updated mpg321 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 25 Mar 2012 14:27:09 +0300
Source: mpg321
Binary: mpg321
Architecture: source i386
Version: 0.3.2-1
Distribution: unstable
Urgency: low
Maintainer: Nanakos Chrysostomos <nanakos@wired-net.gr>
Changed-By: Nanakos Chrysostomos <nanakos@wired-net.gr>
Description: 
 mpg321     - Simple and lightweight command line MP3 player
Closes: 666350
Changes: 
 mpg321 (0.3.2-1) unstable; urgency=low
 .
   * Fixed bugs to stdout-output (remove garbage in buffer from wrong
     stdout fprintf's, it should have been stderr instead)
   * Fixed bug when closing the stream of AO device that caused wrong
     header to the output buffer for the normal operation. Buffered output
     has no problem with that.
   * Fixed FTBFS (Closes: Bug#666350)
Checksums-Sha1: 
 5638b8e7188c0ef0ca5fd64e02943825b5e32057 1191 mpg321_0.3.2-1.dsc
 bf1c22542c86af69267828e45f217fdeb49e5d43 151139 mpg321_0.3.2.orig.tar.gz
 67f4288b3f5cb7e2ae4c55c126422ec472493966 13648 mpg321_0.3.2-1.debian.tar.gz
 3e753a71d60e64a3acf53b2afdb844455c71a4b5 54266 mpg321_0.3.2-1_i386.deb
Checksums-Sha256: 
 e00f75d8c6bc001b9afcadb4b19d18df4ccb9da55e3362c7590f9179e1a7469e 1191 mpg321_0.3.2-1.dsc
 056fcc03e3f5c5021ec74bb5053d32c4a3b89b4086478dcf81adae650eac284e 151139 mpg321_0.3.2.orig.tar.gz
 cc4bf7caba32b72acdba1109f5820581e3490aa685aa02fc45fec91c8b2628be 13648 mpg321_0.3.2-1.debian.tar.gz
 8daf43635afa5562e6a913a15185c7f8fbfcb4865f5b6ea938eac83e3945f2c5 54266 mpg321_0.3.2-1_i386.deb
Files: 
 dbb878e8f2fb92bcfed46cd4c858397a 1191 sound optional mpg321_0.3.2-1.dsc
 d3c343d2183e239e4df56a4aae2466a6 151139 sound optional mpg321_0.3.2.orig.tar.gz
 94213fb9475ceef4894bd1f0a652b9d8 13648 sound optional mpg321_0.3.2-1.debian.tar.gz
 076eb6b93391e8c026e142dc62e8dbb6 54266 sound optional mpg321_0.3.2-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk+cyyAACgkQ+MQbLPcULsJtMwCfa7vTdgvbHNDUckKazmlj42pm
ry0An2+dFPfnqOLUzIOV8Wl5Hm2dcbNc
=nvLJ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 08 Jun 2012 07:42:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:18:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.